Skip to main content

Add AWS credentials

Creates AWS credentials for the FSx for ONTAP service. Use this to establish access permissions for AWS resources.

HTTP method and endpoint

POST /aws-credentials/{accountId}

Token usage

Cloud Manager user token.

Usage notes

DEPRECATED Create AWS Credentials

Caution This operation is deprecated.

Parameters

Name Type In Required Description

X-Service-Request-Id

string

header

False

x-simulator

string

header

False

accountId

string

path

True

Request Body

Name Type Required Description

accessKey

string

True

secretKey

string

True

name

string

True

Example request
{
  "accessKey": "string",
  "secretKey": "string",
  "name": "string"
}

Error

Status: 410,